﻿#pragma once

#include "FrameLocationElement.h"

namespace edge2 {

// フレームのX,Y座標を保持するクラスです。相対座標も扱うため、専用のクラスとしています。
class FrameLocation {

// 構築・消滅
public:
	FrameLocation(void);
	~FrameLocation(void);

// アクセサ
public:
	void set_x(const FrameLocationElement& x) { x_ = x; }
	void set_y(const FrameLocationElement& y) { y_ = y; }

// 変数
private:
	FrameLocationElement x_;
	FrameLocationElement y_;
};

}

