﻿#pragma once

#include <cstdint>

namespace edge2 {

// FrameLocationの要素の型です。相対座標を扱えるようになっています。
class FrameLocationElement {

// 構築・消滅
public:
	FrameLocationElement(void);
	FrameLocationElement(const FrameLocationElement& other);
	~FrameLocationElement(void);

// アクセサ
public:
	int32_t value() { return value_; }
	void set_value(int32_t value) { value_ = value; }
	bool relative() { return relative_; }
	void set_relative(bool relative) { relative_ = relative; }

// 演算子
public:
	// 代入
	FrameLocationElement& operator=(const FrameLocationElement& other);

// 変数
private:
	// 値（絶対/相対）
	int32_t value_;
	// 相対？
	bool relative_;
};

}