﻿#pragma once

#include "Frame.h"
#include "FrameLocation.h"

namespace edge2 {

// ページ用のアニメーションフレーム情報です。
class PageFrame : public Frame {
// 構築・消滅
public:
	PageFrame(void);
	~PageFrame(void);

// アクセサ
public:
	// 座標の参照を取得します。
	FrameLocation& location() { return location_; }
	// 使用フラグを取得します。
	bool use() { return use_; }
	// 使用フラグを設定します。
	void set_use(bool use) { use_ = use; }

// 変数
private:
	// 座標
	FrameLocation location_;
	// 使用フラグ
	bool use_;
};

}