﻿#include "FrameCoordinateSystem.h"
#include "BinaryReader.h"

namespace edge2 {

FrameCoordinateSystem::FrameCoordinateSystem(void)
	: mode_(kTopLeft) {
}

FrameCoordinateSystem::~FrameCoordinateSystem(void) {
}

// チャンクデータの読み込むために呼ばれます。
void FrameCoordinateSystem::ReadChunk(BinaryReader& reader, uint16_t chunk_id, uint32_t length) {
	switch (chunk_id) {
	case kChunkID_Mode:
		mode_ = static_cast<Modes>(reader.ReadUInt8());
		break;
	}
}

}
